
Redmine - Defect #41260

PUT /issues is not updating the parent

2024-09-17 16:30 - Michael Bauschert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.4

Description

I'm using this PUT to update the parent and the subject:

PUT <url>/redmine/issues/15942.json

together with this content:

{

    "issue": {

        "id": 15942,

        "subject": "New subject text",

        "parent": {

            "id": 16232

        }

    }

}

 The subject is updated but the parent is not...

I receive a 204 (no content)

What is the problem here?

Thanks for your support!

History

#1 - 2024-09-17 16:33 - Michael Bauschert

This is the part of the logfile

I, [2024-09-17T16:30:50.488899 #4000]  INFO -- : [7089fc05-c7ba-4264-9903-e1560d7778bc] Started PUT "/redmine/

issues/15942.json" for 53.201.61.66 at 2024-09-17 16:30:50 +0200

I, [2024-09-17T16:30:50.489907 #4000]  INFO -- : [7089fc05-c7ba-4264-9903-e1560d7778bc] Processing by IssuesCo

ntroller#update as JSON

I, [2024-09-17T16:30:50.490084 #4000]  INFO -- : [7089fc05-c7ba-4264-9903-e1560d7778bc]   Parameters: {"issue"

=>{"id"=>15942, "subject"=>"New subject text", "parent"=>{"id"=>16232}}, "id"=>"15942"}

I, [2024-09-17T16:30:50.494292 #4000]  INFO -- : [7089fc05-c7ba-4264-9903-e1560d7778bc]   Current user: myUser

 (id=256)

I, [2024-09-17T16:30:50.554282 #4000]  INFO -- : [7089fc05-c7ba-4264-9903-e1560d7778bc] Completed 204 No Conte

nt in 64ms (ActiveRecord: 24.7ms | Allocations: 18642)

#2 - 2024-09-17 17:05 - Michael Bauschert

Solved it.

This way it worked:

{

    "issue": {

        "parent_issue_id": 16232,

        "subject": "text..." 

    }

}
#3 - 2024-09-18 07:20 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Thank you for your feedback.
